       program testdadmul
       implicit none
       real*8 A(3),B(3),WK(150000),pi,valor,relerr,eps,c(3),t
       integer NFNEV,IFAIL,IWK,minpt,maxpt
       external f3
c       double precision f3

       pi=dacos(-1.d0)

       A(1)=1.d-8
       A(2)=1.d-8
       A(3)=0.d0
       B(1)=pi
       B(2)=pi
       B(3)=pi
       c(1)=1.d0
       c(2)=1.d0
       c(3)=1.d0
       IWK=150000
       eps=1.d-3
       minpt=64
       maxpt=1000000

c       t=f3(3,c)
       write(*,*) 'calling dadmul'
       CALL DADMUL(f3,3,A,B,minpt,maxpt,eps,WK,IWK,valor,relerr,NFNEV,
     .  IFAIL)
       write(*,*)  'I=',valor,'+-',relerr,'%',NFNEV,' evals',' error
     .   ',IFAIL

        end

       real*8 function f3(Ndim,x)
       implicit none
       double precision x(3),a,b,c
       integer Ndim
       a=x(1)
       b=x(2)
       c=x(3)
       f3=(sin(a)*sin(b)*sin(c))**2
       return
       end
